Agara
Bridge

Quote a cross-chain withdrawal

POST/trade/v1/portfolio/bridge/withdraw/quote

Authorization

personal_access_token portfolio:read
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: portfolio:read

Request Body

application/json

Bridge withdraw quote request body.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/trade/v1/portfolio/bridge/withdraw/quote" \  -H "Content-Type: application/json" \  -d '{    "from_amount_base_unit": "string",    "recipient_address": "string",    "to_chain_id": "string",    "to_token_address": "string"  }'
{  "est_checkout_time_ms": 0,  "est_fee_breakdown": {    "app_fee_label": "string",    "app_fee_percent": "string",    "app_fee_usd": "string",    "fill_cost_percent": "string",    "fill_cost_usd": "string",    "gas_usd": "string",    "max_slippage": "string",    "min_received": "string",    "swap_impact": "string",    "swap_impact_usd": "string",    "total_impact": "string",    "total_impact_usd": "string"  },  "est_input_usd": "string",  "est_output_usd": "string",  "est_to_token_base_unit": "string",  "quote_id": "string"}